A Google Cloud Managed Lustre instance is a complete Lustre file system in the cloud. It can be mounted to a Compute Engine VM or to a Google Kubernetes Engine (GKE) cluster. You access data on the instance using standard POSIX terminology.
When creating a Managed Lustre instance, you must define the following properties:
- The instance's name, used by Google Cloud.
- The file system name, used by client-side tools such as
lfs. - The storage capacity in gibibytes (GiB). Capacity can range from 9,000 GiB to 84,016,000 GiB (80.1 PiB). The maximum size of an instance depends on its performance tier.
- The performance tier. Managed Lustre offers performance tiers ranging from 125 MBps per TiB to 1000 MBps per TiB, as well as a Dynamic tier that optimizes performance based on data access patterns, with an aggregate throughput of 25 MBps per TiB.
- The location. For best performance, locate your instance in the same zone as your client VMs or GKE cluster.
- The VPC network for this instance. This must be the same network as used for your VMs or clusters.
- Whether this instance will be accessed from a GKE cluster. Because both Lustre and GKE use port 988 by default, this setting changes the Lustre port to avoid conflicts.
Performance tiers and maximum storage capacities
Managed Lustre offers 4 set-performance tiers, and a Dynamic tier. Performance tiers affect the minimum and maximum instance size, and the step size between acceptable capacity values. You cannot change an instance's performance tier after it has been created.
See Performance tiers for details.
You can increase the storage capacity of an instance after it's been created, up to the maximum value allowed for its performance tier and step size.
Capacity calculator
Select a performance tier and enter your target capacity to find the nearest valid size. Valid sizes are rounded up based on the tier's minimum and step size.
Storage capacity quota
Available storage capacity quota depends on many factors, including the location of your instance and the performance tier requested.
Your default storage capacity quota is per Virtual Private Cloud (VPC) network per zone and is shared across all performance tiers. Using capacity in one tier reduces the available storage capacity quota in the other tiers.
See Quotas and limits for details.
Required permissions
To create a new Managed Lustre instance, you must have
Managed Lustre Admin (roles/lustre.admin) IAM
permissions for your project.
See Access control with IAM for details.
You must also have enabled the Managed Lustre API.
Create an instance
You can create a new Managed Lustre instance from the following interfaces.
gcloud
To create a new Managed Lustre instance, use the gcloud lustre
instances create command:
gcloud lustre instances create INSTANCE_ID \
--per-unit-storage-throughput=PER_UNIT_STORAGE_THROUGHPUT \
--capacity-gib=CAPACITY_GIB \
--filesystem=FILESYSTEM \
--location=LOCATION \
--network=NETWORK_PATH
The following values must be specified:
INSTANCE_ID is the name of this Managed Lustre instance. It must:
- Contain only lowercase letters, numbers, and hyphens.
- Start with a letter.
- Be between 1-63 characters.
- End with a number or a letter.
- Be unique within the project and location.
--per-unit-storage-throughputis the maximum throughput of the instance in MBps per TiB. Valid values are0,125,250,500, and1000. Your choice of throughput affects the minimum and maximum storage capacity of the instance.To specify the Dynamic tier, set this to
0and include the--dynamic-tier-options-mode=DEFAULT_CACHEflag. For example:gcloud lustre instances create my-dynamic-tier-instance \ --per-unit-storage-throughput=0 \ --dynamic-tier-options-mode=DEFAULT_CACHE \ ...--capacity-gibis the storage capacity of the instance in gibibytes (GiB). Allowed values depend on the storage throughput tier you specify. See the Performance tiers and maximum storage capacities section for details.--filesystemis the name to assign to this Lustre file system. This name is used by client-side commands, includingmountandlfs. It must be 8 characters or less in length, can only contain letters and/or numbers, and is case-sensitive.It is recommended to choose a name that is unique across all Managed Lustre instances in the VPC. This allows multiple instances to be used from a single GKE node.
--locationmust be a valid Google Cloud zone that is supported by Managed Lustre. See Supported locations for a full list.--networkis the full path of the VPC network to which the instance belongs, in the formatprojects/PROJECT_ID/global/networks/NETWORK. See Configure a VPC network.--projectis your Google Cloud project ID.
Optional flags are the following:
--dynamic-tier-options-modespecifies the Dynamic tier for this instance. Set the value of this flag toDEFAULT_CACHEand set--per-unit-storage-throughput=0to enable the Dynamic tier.--kms-key-namespecifies a customer-managed encryption key with which to encrypt this instance. See Customer-managed encryption keys for Managed Lustre for details.--gke-support-enabledcreates an instance that can be used by Google Kubernetes Engine clusters. It sets the Lustre LNetaccept_portto 6988.To connect from a Compute Engine VM when
--gke-support-enabledis specified, you must update the LNet configuration file on the VM. See Configure LNet forgke-support-enabledinstances.--async(optional) runs the command asynchronously. Instead of waiting for instance creation to complete, Google Cloud CLI returns an operation ID that can be used to query the command's status.
A successful request returns an operation ID:
Create request issued for: [$INSTANCE_ID]
Waiting for operation [projects/$PROJECT_ID/locations/us-central1-a/operations/
operation-1234567890-609d21deae6f0-befaf0bc-867b1aa1] to complete...
Instance creation takes approximately 15 minutes for an instance with 9,000 GiB capacity, up to several hours for an instance with 84,016,000 GiB (80.1 PiB) capacity. See Query instance creation status for instructions on checking the status of your request.
REST
To create an instance using the REST API, send a request to the following endpoint:
POST https://lustre.googleapis.com/v1/projects/PROJECT_ID/locations/ZONE/instances?instanceId=INSTANCE_ID
Authorization: Bearer AUTH_TOKEN
{
"filesystem": string,
"perUnitStorageThroughput": int64,
"capacityGib": int64,
"network": string,
"gkeSupportEnabled": boolean
}
The following values must be specified:
PROJECT_ID is your Google Cloud project ID.
ZONE must be a valid Google Cloud zone that is supported by Managed Lustre. See Supported locations for a full list.
INSTANCE_ID is the name of this Managed Lustre instance. It must:
- Contain only lowercase letters, numbers, and hyphens.
- Start with a letter.
- Be between 1-63 characters.
- End with a number or a letter.
- Be unique within the project and location.
filesystemis the name to assign to this Lustre file system. This name is used by client-side commands, includingmountandlfs. It must be 8 characters or less in length, can only contain letters and/or numbers, and is case-sensitive.It is recommended to choose a file system name that is unique across all Managed Lustre instances in the VPC. This allows multiple instances to be used from a single GKE node.
perUnitStorageThroughputis the maximum throughput of the instance in MBps per TiB. Valid values are0,125,250,500, and1000. Your choice of throughput affects the minimum and maximum storage capacity of the instance.To specify the Dynamic tier, set this to
0and include thedynamicTierOptionsobject. For example:"perUnitStorageThroughput": 0, "dynamicTierOptions": { "mode": "DEFAULT_CACHE" }capacityGibis the storage capacity of the instance in gibibytes (GiB). Allowed values depend on the storage throughput tier you specify. See the Performance tiers and maximum storage capacities section for details.networkis the full path of the VPC network to which the instance belongs, in the formatprojects/PROJECT_ID/global/networks/NETWORK. See Configure a VPC network.
The following fields are optional:
dynamicTierOptionsenables the Dynamic tier for this instance. Themodefield within thedynamicTierOptionsobject must be set toDEFAULT_CACHEandperUnitStorageThroughputmust be0to enable the Dynamic tier.kmsKeyspecifies a customer-managed encryption key with which to encrypt this instance. See Customer-managed encryption keys for Managed Lustre for details.gkeSupportEnabledspecifies that this instance may be used by Google Kubernetes Engine clusters. It sets the Lustre LNetaccept_portto 6988.To connect from a Compute Engine VM when
gkeSupportEnabledis specified, you must update the LNet configuration file on the VM. See Configure LNet forgke-support-enabledinstances.
The API supports additional optional fields for instances. See the
Instance resource reference documentation for a full list
and descriptions.
Google Cloud console
Go to the Managed Lustre page in the Google Cloud console.
Click Create. The Create an instance page is displayed.
Enter a unique Instance name and, optionally, a description. The instance name is used by Google Cloud to identify this instance.
Enter a Filesystem name. This is the name that is used by client-side tools such as
lfs. It must be 8 characters or less in length, can only contain letters and/or numbers, and is case-sensitive.Select a region and zone in which to create this instance. You should place your instance in the same region and zone as the Compute Engine VMs or Google Kubernetes Engine clusters that will connect to it.
Select the performance tier for this instance.
Specify the storage capacity in gibibytes (GiB) of your instance. Valid values depend on the storage throughput tier you select. See the Performance tiers and maximum storage capacities section for details.
From the Encryption section, select either Google-managed encryption key or Cloud Key Management Service key. For information about the Cloud Key Management Service key option, see Customer-managed encryption keys for Managed Lustre.
If you'll connect to this instance from a GKE cluster, select Enable GKE support. This option sets the Lustre LNet
accept_portto 6988.To connect from a Compute Engine VM when Enable GKE support is specified, you must update the LNet configuration file on the VM. See Configure LNet for
gke-support-enabledinstances.Select the Network that you created in Create a VPC network.
The Summary section of the page updates to show a cost estimate based on your selections.
Click Submit to continue. The instance creation process takes from 15 minutes to one hour, depending on the instance capacity.
Query instance creation status
You can query the status of a create request from the following interfaces.
gcloud
To query the status of a create operation, you can get either the operation or the instance.
To get the instance:
gcloud lustre instances describe INSTANCE_NAME \
--location=ZONE
The creation status is the value of state.
To get the operation, use the operation ID from the instance creation response. The operation ID has the following format:
operation-1234567890123-6127783ad26ea-88913969-02748053
gcloud lustre operations describe OPERATION_ID \
--location=LOCATION
The creation status is the value of done.
When the instance has been created, the result of a get request on the instance is similar to the following response.
Note the IP address in the mountPoint field and your file system name; you'll
need these values when mounting your instance.
capacityGib: '27000'
createTime: '2025-03-14T00:07:34.308574307Z'
filesystem: lustre-fs
mountPoint: 10.115.0.3@tcp:/testfs
name: projects/$PROJECT/locations/us-central1-a/instances/$INSTANCE_NAME
network: projects/$PROJECT/global/networks/default
state: ACTIVE
updateTime: '2025-03-14T00:15:37.101024263Z'
REST
To query the status of a create operation, use the operation ID from the response. The operation ID has the following format:
operation-1234567890123-6127783ad26ea-88913969-02748053
Send a request to the following endpoint:
GET https://lustre.googleapis.com/v1/projects/PROJECT_ID/locations/ZONE/operations/OPERATION_ID
Authorization: Bearer
If successful, the response body contains an instance of Operation.
Google Cloud console
Go to the Managed Lustre page in the Google Cloud console.
Click the instance name in the list. The Instance Details page appears, which includes the current status of your instance creation request.